#pragma once
#include "colorstatic.h"
#include "readonlyedit.h"
#include "afxwin.h"


// CDlg_LightsAndAppliances dialog

class CDlg_LightsAndAppliances : public CDialog
{
	DECLARE_DYNAMIC(CDlg_LightsAndAppliances)

public:
	CDlg_LightsAndAppliances(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_LightsAndAppliances();

// Dialog Data
	enum { IDD = IDD_LIGHTSANDAPPLIANCES };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxesForLightsAndAppliancesDlg();
	afx_msg void ReadPreviousInputsFromLightsAndAppliancesDlg();
	afx_msg void ReadInputsFromLightsAndAppliancesDlg();

	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelIntLighting;
	CColorStatic m_labelExtLighting;
	CColorStatic m_labelAppliances;
	CReadOnlyEdit m_editIntLightStdFittings;
	CReadOnlyEdit m_editIntLightDedicatedLowE;
	CReadOnlyEdit m_editIntLightNonDedicatedLowE;
	CReadOnlyEdit m_editIntLightTotal;
	CComboBox m_comboAssessExtLight;
	CComboBox m_comoExtLightsFittings;
	CComboBox m_comboExtLigtsLamps;
	CString str_editIntLightStdFittings;
	CString str_editIntLightDedicatedLowE;
	CString str_editIntLightNonDedicatedLowE;
	CString str_editIntLightTotal;
	CString str_comboAssessExtLight;
	CString str_comoExtLightsFittings;
	CString str_comboExtLigtsLamps;
	afx_msg void OnEnChangeEditstdfittings();
	afx_msg void OnEnChangeEditlowenergyded();
	afx_msg void OnEnChangeEditlowenergynonded();
	afx_msg void OnEnChangeEdittotal();
	afx_msg void OnCbnSelchangeComboAssessextlighting();
	afx_msg void OnCbnSelchangeCombofittings();
	afx_msg void OnCbnSelchangeCombolamps();

	afx_msg BOOL PreTranslateMessage(MSG* pMsg);
	CColorStatic m_labelLEL;
	CReadOnlyEdit m_editLEL;
	CString str_editLEL;
	afx_msg void OnEnChangeEditLel();
};


